FROM registry.yaltik.net/odoo:yaltik8c7
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# Extra dependency
RUN pip install --user --no-cache-dir unidecode==1.2.0

# External dependencies
WORKDIR /opt/odoo/extra-addons
RUN git clone --depth 1 -b 8.0 https://github.com/OCA/community-data-files \
      && git clone --depth 1 -b 8.0 https://github.com/OCA/l10n-france \
      && git clone --depth 1 -b 8.0 https://github.com/OCA/partner-contact \
      && git clone --depth 1 -b 8.0 https://github.com/OCA/vertical-association

# Custom code
WORKDIR /opt/odoo/custom-addons
RUN git clone --depth 1 -b 8.0 https://git.yaltik.net/Yaltik/yaltik_odoo_custom.git yaltik && \
      git clone --depth 1 -b 2 https://git.yaltik.net/yaltik/golem.git golem
WORKDIR /opt/odoo
